<template>
  <section class="accordion">
    <p class="accordion__description"
       v-html="isFullDescription ? longDescription : shortDescription">
    </p>

    <button type="button" class="read-all"
            v-if="longDescription"
            @click="toggleDescription">
      <span class="read-all__icon" :class="isFullDescription ? 'read-all__icon--minus' : ''">
        <icon-plus />
      </span>
      {{ isFullDescription ? 'Скрыть' : 'Читать полностью' }}
    </button>
  </section>
</template>

<script>
  import IconPlus from './icons/IconPlus';

  export default {
    name: 'Accordion',
    props: {
      shortDescription: {
        type: String,
        required: true,
      },
      longDescription: {
        type: String,
        required: true,
      }
    },
    components: {
      IconPlus
    },
    data: () => ({
      isFullDescription: false,
    }),
    methods: {
      toggleDescription() {
        this.isFullDescription = !this.isFullDescription;
      }
    },
  }
</script>

<style lang="scss">
  @import '~assets/scss/variables.scss';
  @import '~assets/scss/mixins.scss';

  .accordion {
    &__description {
      @include p2;

      max-width: rem(764);
      margin-bottom: rem(24);
      line-height: rem(22);
    }

    .read-all {
      @include bold-black-link;

      display: flex;
      align-items: center;
      padding: 0;

      background: none;
      border: none;

      color: rgba($black, .5);
      cursor: pointer;

      &:hover {
        color: $green;
      }

      &:active {
        & .read-all__icon {
          @include gray-btn-active;
        }
      }

      &__icon {
        @include gray-btn;

        display: flex;
        align-items: center;
        justify-content: center;

        width: rem(24);
        height: rem(24);
        margin-right: rem(12);

        border-radius: 50%;

        &--minus {
          .icon-plus__vertical {
            display: none;
          }
        }
      }
    }
  }

</style>
